Sound: Multiply by window...

A command to multiply each selected Sound object by a window shape.

## Settings

Window shape
  one of 12 possible window shapes.

## Window shapes

Suppose we have the following sound:

`Create Sound from formula: "sweep", 1, 0.0, 0.1, 44100, ~ sin(2*pi*1000*x^2)
` `Draw: 0, 0, -1.0, 1.0, "yes", "curve"
`

The shape of a Hanning window is

`Create Sound from formula: "window", 1, 0.0, 0.1, 44100, ~ 1
` `Multiply by window: "Hanning"
` `Draw: 0, 0, 0.0, 1.0, "yes", "curve"
`

If you multiply these with each other, the result will be

`selectObject: "Sound sweep"
` `Multiply by window: "Hanning"
` `Draw: 0, 0, -1.0, 1.0, "yes", "curve"
`

In short:

Other windows:

The following one does nothing:

These two have an effective duration that is 50 percent shorter:

And these are narrower again:

### Links to this page

- Sound: Extract part...